Site fixes - Site script request/donation #128

Dr. McDougall (site for recipes)
09/14/2022 03:24 AM - jacobk

Status: Closed Start date: 09/13/2022
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
This site seems to work mostly fine if noscript elements are not rendered, so it can be fixed to some extent with a blank payload.
For example https://www.drmcdougall.com/recipes/ shows images but a big banner covers the whole screen making the site

unusable. The banner and images seem to be part of noscript elements, so simply using an empty payload to disable noscript
element rendering makes the banner go away, but it also breaks the images.

When loading the site with noscript elements rendered, document.querySelector("div.floating-action-button-container").remove(); can
be used in the developer console to remove the banner, and then the images will still be there.

I'm not sure what the best way to handle a site like this is (where we don't really need code but just an empty payload, more like a
configuration change really, or where it would be useful to have most noscript tags rendered but one removed), but I've uploaded a
fix with a blank payload here:
https://codeberg.org/JacobK/hydrilla-fixes-bundle/commit/7ba33cd09d7d4508948594c648d03a0a2e0ce624

History

#1 - 09/17/2022 10:06 PM - koszko
Thanks.

I'd say empty payloads are OK. Well, not in this particular case because | just wrote and uploaded an improved fix that makes the images show up
properly * But in general I'd actually consider empty payloads neater that having an additional configuration option that's only useful on rare
occasions

#2 - 09/17/2022 10:06 PM - koszko
- % Done changed from 0 to 100

- Status changed from New to Closed

#3 - 09/20/2022 05:22 PM - jacobk

| was thinking of a configuration change to render noscript tags while still using a payload, so you could then use a script to remove the one
problematic tag. But this works too.

09/06/2023 1/1



https://www.drmcdougall.com/recipes/
https://codeberg.org/JacobK/hydrilla-fixes-bundle/commit/7ba33cd09d7d4508948594c648d03a0a2e0ce624
https://git.koszko.org/hydrilla-fixes-bundle/commit/?id=baf6db0bd5761a9ac1fb877a633564b7c542c34a
http://www.tcpdf.org

